/*
 *  Copyright 2002-2004, Mersad Team, Allame Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  Created by: Meisam Vosoughpour
 *  Released on Friday 1 April 2005 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __CLEAR_H
#define __CLEAR_H


#include <AdvancedAction.h>


class Clear: public AdvancedAction
{
protected:
	unsigned twoKickableInterceptNum;
	Command *clearCommand;
public:
	Clear(const WorldModel *worldModel);

	virtual void execute(SayDecisionFlags &sayFlags);
	virtual float getValue();
	virtual DecideType getType();
};


#endif //  __CLEAR_H

