/*
 *  Copyright 2002-2004, Mersad Team, Allame Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  Created by: Ahmad Boorghany
 *  Modified by: Mohammad Salehe
 *  Released on Friday 1 April 2005 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __BASICS_H
#define __BASICS_H


#include <string>


enum ReRateMode {
    RRM_DIRECT,
    RRM_REVERSE
};

namespace Basics
{
    extern float reRate(float value, float a, float b, float c, float d,
			ReRateMode mode = RRM_DIRECT);
    extern float sigmoid(float x);
    extern unsigned changeIntBase(int number, int base, std::string &str);
}


#endif // __CONFIG_H

