/*
 *  Copyright 2002-2004, Mersad Team, Allame Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  Created by: Meisam Vosoughpour
 *  Released on Friday 1 April 2005 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __GOALIE_PLAY_ON_DECISION_H
#define __GOALIE_PLAY_ON_DECISION_H


#include <BodyDecision.h>


class GoaliePlayOnDecision: public BodyDecision
{
protected:
	bool isBallOppKickable(float minExtra, float maxExtra);

public:
	GoaliePlayOnDecision(const WorldModel *worldModel,
			SayDecisionFlags &sayFlags, TurnNeckMode &turnNeckMode);
	virtual ~GoaliePlayOnDecision();

	virtual DecideType decide(int quickLevel, DecideType lastDecide);
};


#endif // __GOALIE_PLAY_ON_DECISION_H

