/*
 *  Copyright 2002-2004, Mersad Team, Allame Helli High School (NODET).
 *
 *  This program is free software, you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *  GNU Library General Public License for more details.
 *
 *  Created by: Ahmad Boorghany
 *  Released on Friday 1 April 2005 by Mersad RoboCup Team.
 *  For more information please read README file.
*/

#ifndef __BASIC_VIEW_H
#define __BASIC_VIEW_H

#include <BasicAction.h>
#include <WorldModel.h>

#ifndef NULL
#	define NULL 0
#endif // NULL

class LookForObject: public BasicAction
{
public:
	virtual Command *getCommand();
};

class LookBeforeKickOff: public BasicAction
{
public:
	virtual Command *getCommand();
};

class SetViewToWide: public BasicAction
{
public:
	virtual Command *getCommand();
};

class SetViewToNormal: public BasicAction
{
public:
	virtual Command *getCommand();
};

class SetViewToNarrow: public BasicAction
{
public:
	virtual Command *getCommand();
};

class SetViewToNarrowFirst: public BasicAction
{
public:
	virtual Command *getCommand();
};

#endif // __BASIC_VIEW_H
